Bug 902273 - _gdk_device_xi2_reset_scroll_valuators (device=device@entry=0x0) causes SIGSEGV
_gdk_device_xi2_reset_scroll_valuators (device=device@entry=0x0) causes SIGSEGV
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:5497866ffe955ba8c43abb32b38...
:
: 887551 889975 901680 928130 958418 (view as bug list)
Depends On: 804743
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-21 04:50 EST by Jakub Filak
Modified: 2014-02-05 10:30 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 804743
Environment:
Last Closed: 2014-02-05 10:29:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Filak 2013-01-21 04:50:14 EST
+++ This bug was initially created as a clone of Bug #804743 +++

libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evolution
comment:        Was using the system normally, and Shell froze (as it has a propensity to do lately). Switch to a VT and kill -9ed shell (regular kill isn't enough). When I switched back to the X VT, this crash notification showed up after Shell had reloaded.
crash_function: _gdk_device_xi2_reset_scroll_valuators
executable:     /usr/bin/evolution
kernel:         3.3.0-0.rc7.git0.3.fc17.x86_64
pid:            19236
pwd:            /home/adamw
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
time:           Mon 19 Mar 2012 09:52:45 AM PDT
uid:            1001
username:       adamw

backtrace:      Text file, 43845 bytes
dso_list:       Text file, 19223 bytes
maps:           Text file, 91512 bytes

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=adam.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-1Z9IkZ
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=adamw
:USERNAME=adamw
:MAIL=/var/spool/mail/adamw
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/adamw/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/adamw
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1540
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:'PS1=[\\[\\e[0;32m\\]\\u\\[\\e[0m\\]@\\[\\e[0;34m\\]\\h\\[\\e[0m\\] \\W\\[\\e[0;33m\\]$(__git_ps1 \" (%s)\")\\[\\e[0m\\]]\\[\\e[0;32m\\]\\$ \\[\\e[0m\\]'
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/adamw
:SHLVL=1
:LOGNAME=adamw
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lsiONA6EVk,guid=09966dbb64ab557a59069d6000000022
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/adamw
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-adamw-qlX0mT/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1545,unix/unix:/tmp/.ICE-unix/1545
:GPG_AGENT_INFO=/tmp/keyring-1Z9IkZ/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-1Z9IkZ/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:G_MESSAGES_DEBUG=all
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=19236
:DESKTOP_STARTUP_ID=gnome-shell-30239-adam.localdomain-evolution-2_TIME113395556

var_log_messages:
:Mar 18 09:14:34 adam abrt[14231]: File '/usr/bin/evolution' seems to be deleted
:Mar 19 09:52:45 adam kernel: [114657.575785] evolution[19236]: segfault at 70 ip 0000003e35e3f0d0 sp 00007fff4d4814a8 error 4 in libgdk-3.so.0.318.0[3e35e00000+83000]
:Mar 19 09:52:48 adam abrt[21209]: Saved core dump of pid 19236 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-19-09:52:45-19236 (344637440 bytes)

xsession_errors:
:evolution-alarm-notify-WARNING **: alarm.c:254: Requested removal of nonexistent alarm!
:evolution-shell-Message: Network disconnected.  Forced offline.
:evolution-shell-Message: Connection established.  Going online.
:evolution-shell-Message: Network disconnected.  Forced offline.
:evolution-shell-Message: Connection established.  Going online.
:evolution-alarm-notify-WARNING **: alarm.c:254: Requested removal of nonexistent alarm!
:evolution-shell-Message: Network disconnected.  Forced offline.
:evolution-shell-Message: Connection established.  Going online.

--- Additional comment from Adam Williamson on 2012-03-19 18:47:56 CET ---

Created attachment 571198 [details]
File: dso_list

--- Additional comment from Adam Williamson on 2012-03-19 18:47:57 CET ---

Created attachment 571199 [details]
File: backtrace

--- Additional comment from Adam Williamson on 2012-03-19 18:47:59 CET ---

Created attachment 571200 [details]
File: maps

--- Additional comment from Milan Crha on 2012-03-20 08:55:06 CET ---

Thanks for a bug report. I have no idea about GDK internals, but based on the function name
   _gdk_device_xi2_reset_scroll_valuators (device=0x0) at gdkdevice-xi2.c:862
and the backtrace, where the crashing thread doesn't show anything but main.c from evolution, which simply runs gtk_main(), it seems to me that restart of gnome-shell invalidated device on which the evolution was running, thus a request for window update crashed the application.

I guess other applications like gedit, maybe with long enough text which will show scroll-bars, may crash as well. Being it true I would move this to gtk3/gdk.

--- Additional comment from Adam Williamson on 2012-03-20 19:21:37 CET ---



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

--- Additional comment from  on 2012-03-30 14:38:56 CEST ---

*** Bug 805073 has been marked as a duplicate of this bug. ***

--- Additional comment from Marek Kašík on 2012-10-01 15:17:03 CEST ---

*** Bug 833857 has been marked as a duplicate of this bug. ***

--- Additional comment from Marek Kašík on 2012-10-01 15:17:09 CEST ---

*** Bug 832355 has been marked as a duplicate of this bug. ***

--- Additional comment from Marek Kašík on 2012-10-01 15:17:17 CEST ---

*** Bug 826281 has been marked as a duplicate of this bug. ***

--- Additional comment from Marek Kašík on 2012-10-01 15:17:27 CEST ---

*** Bug 838325 has been marked as a duplicate of this bug. ***

--- Additional comment from Marek Kašík on 2012-10-01 15:17:54 CEST ---

*** Bug 855219 has been marked as a duplicate of this bug. ***

--- Additional comment from Marek Kašík on 2012-10-01 15:18:00 CEST ---

*** Bug 857880 has been marked as a duplicate of this bug. ***

--- Additional comment from Marek Kašík on 2012-10-01 15:18:11 CEST ---

*** Bug 855993 has been marked as a duplicate of this bug. ***

--- Additional comment from Jakub Filak on 2013-01-21 10:47:19 CET ---

*** Bug 887491 has been marked as a duplicate of this bug. ***
Comment 1 Jakub Filak 2013-01-21 04:51:37 EST
*** Bug 901680 has been marked as a duplicate of this bug. ***
Comment 2 Marek Kašík 2013-01-21 05:38:19 EST
*** Bug 889975 has been marked as a duplicate of this bug. ***
Comment 3 Marek Kašík 2013-01-21 05:38:28 EST
*** Bug 887551 has been marked as a duplicate of this bug. ***
Comment 4 Christophe Fergeau 2013-06-20 10:34:59 EDT
*** Bug 928130 has been marked as a duplicate of this bug. ***
Comment 5 Christophe Fergeau 2013-06-20 10:36:31 EDT
*** Bug 958418 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-12-21 05:38:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 10:30:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.